import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import "config"

Item {
    id: mparent
    JsConfig{id: jsConf }

    property var  colorSchemes;
    property bool  colorSchemeLoaded: false;
    //property int  headerHeight:  units.gu(10);

    signal configChanged (bool changed)

    anchors.fill: parent

    Component.onCompleted: {
        slFont.value = jsConf.getFontSize();
    }

    onColorSchemesChanged: {
        liSchemes.model = colorSchemes
        liSchemes.selectedIndex = liSchemes.setItem(jsConf.getColorScheme())
        colorSchemeLoaded = true;
    }

    Column {
        anchors {
            fill: parent
            //top: parent.top
            //topMargin: headerHeight
        }
        spacing:  units.gu(1)

        ListItem.ItemSelector {
            id: liSchemes
            objectName: "liSchemes"
            width: parent.width

            function setItem(val) {
                for (var k in model) {
                    var v = model[k];
                    if(v == val) return k;
                }
            }

            text: i18n.tr("Color scheme") + ":"
            onSelectedIndexChanged: {
                if(colorSchemeLoaded) { 
                    var val = model[selectedIndex];
                    jsConf.setColorScheme(val);
                    configChanged(true);
                }
            }
        }

        Label {
            anchors {
                left: parent.left
                leftMargin: units.gu(2)
            }

            text: i18n.tr("Font size") + ":"
        }

        Slider{
            id: slFont
            objectName: "slFont"
            anchors {
                left: parent.left
                leftMargin: units.gu(2)
                right: parent.right
                rightMargin: units.gu(2)
            }
            minimumValue: 8;
            maximumValue: 32;
            onValueChanged: {
                jsConf.setFontSize(value);
                mparent.configChanged(true);
            }
        }

        ListItem.ThinDivider { }

    }


}
