import QtQuick 2.0
import QtQuick.LocalStorage 2.0

//Database Helper Functions
Item{
    id:dbEngine;

    Component.onCompleted: {
     initialize();
    }

    function initialize() {

        var db = getDatabase();

        db.transaction( function(tx) {
                            tx.executeSql('CREATE TABLE IF NOT EXISTS config(item TEXT UNIQUE, value TEXT)');
                        });
    }

    function getDatabase() {

        var db = LocalStorage.openDatabaseSync("UbuntuTerminalDB", "1.0", "Terminal Database", 1000000);

        return db;
    }

    function setConfig( item, value ) {

        var db  = getDatabase();
        var res = 0;

        db.transaction(function(tx) {
                            var rs = tx.executeSql('INSERT OR REPLACE INTO config VALUES (?,?);', [item, value]);
                            //console.log(rs.rowsAffected)
                            res = rs.rowsAffected > 0;
                        });

        return res;
    }

    function getConfig( item ) {
        var db  = getDatabase();
        var res = "";

        db.transaction(function(tx) {
                            var rs = tx.executeSql('SELECT value FROM config WHERE item=?;', [item]);
                            if (rs.rows.length > 0) {
                                res = rs.rows.item(0).value;
                            } else {
                                res = "UNKNOWN";
                            }
                        });

        return res
    }


}
