import QtQuick 2.0
import QtQuick.LocalStorage 2.0

Item{
    DbEngine{id: dbEngine}

    //ColorSchemes
    function getColorScheme(){
        dbEngine.initialize()
        var res = dbEngine.getConfig("colorScheme");
        if( res === "UNKNOWN" ) return "DarkPastels";
        return res;
    }

    function setColorScheme(scheme){
        dbEngine.setConfig("colorScheme",scheme);
    }


    //FontSize
    function getFontSize(){
        dbEngine.initialize()
        var res =  dbEngine.getConfig("fontSize");
        if( res === "UNKNOWN" || res === "NaN" ) return 14;
        else return parseInt(res);
    }

    function setFontSize(size){
        dbEngine.setConfig("fontSize", Math.round(size).toString() );
    }

}
