import QtQuick 2.0
import Ubuntu.Components 0.1

Item {
    id: mparent
    height: tools.height
    width: units.gu(50)

    signal keyPressed (int key, int mod)
    property color buttonColor: "white"
    property real btn_width: width/6 - units.gu(1)

    onKeyPressed: {
        console.log("Key code: " + key)
    }

    Column {
        id: tools
        spacing: units.gu(0.5)

        Row {
            spacing: units.gu(1)

            Button {
                Label {text: "ESC"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_Escape, Qt.NoModifier)
            }

            Button {
                Label {text: "Ctrl+Z"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width*1.5
                onClicked: keyPressed(Qt.Key_Z, Qt.ControlModifier)
            }

            Button {
                Label {text: "Ctrl+X"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width*1.5
                onClicked: keyPressed(Qt.Key_X, Qt.ControlModifier)
            }

            Button {
                Label {text: "Ctrl+C"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width*1.5
                onClicked: keyPressed(Qt.Key_C, Qt.ControlModifier)
            }
        }
    }
}
