import QtQuick 2.0
import Ubuntu.Components 0.1

Item {
    id: mparent
    height: tools.height
    width: units.gu(50)

    signal keyPressed (int key, int mod)
    property color buttonColor: "white"
    property real btn_width: width/6 - units.gu(1)

    onKeyPressed: {
        console.log("Key code: " + key)
    }

    Column {
        id: tools
        spacing: units.gu(0.5)

        Row {
            spacing: units.gu(1)

            Button {
                Label {text: "PG_UP"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width*1.5
                onClicked: keyPressed(Qt.Key_PageUp, Qt.NoModifier)
            }

            Button {
                Label {text: "TAB"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_Tab, Qt.NoModifier)
            }

            Button {
                Label {text: "\u2191"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_Up, Qt.NoModifier)
            }

            Button {
                Label {text: "DEL"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_Delete, Qt.NoModifier)
            }

            Button {
                Label {text: "HOME"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width*1.5
                onClicked: keyPressed(Qt.Key_Home, Qt.NoModifier)
            }
        }

        Row {
            spacing: units.gu(1)

            Button {
                Label {text: "PG_DN"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width*1.5
                onClicked: keyPressed(Qt.Key_PageDown, Qt.NoModifier)
            }

            Button {
                Label {text: "\u2190"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_Left, Qt.NoModifier)
            }

            Button {
                Label {text: "\u2193"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_Down, Qt.NoModifier)
            }

            Button {
                Label {text: "\u2192"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_Right, Qt.NoModifier)
            }

            Button {
                Label {text: "END"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width*1.5
                onClicked: keyPressed(Qt.Key_End, Qt.NoModifier)
            }
        }
    }
}
